package com.ruoyi.school.domain.req;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 小组管理对象 sys_group
 *
 * @author ruoyi
 * @date 2024-04-23
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "SysGroupQueryReq", description = "小组管理")
public class SysGroupQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 小组名称 */
    @ApiModelProperty(name = "小组名称", value = "小组名称")
    private String groupName;

    /** 小组人数 */
    @ApiModelProperty(name = "小组人数", value = "小组人数")
    private Long groupPeople;

    /** 班级ID */
    @ApiModelProperty(name = "班级ID", value = "班级ID")
    private Long classId;

}
