package com.ruoyi.school.service;

import java.util.List;
import com.ruoyi.school.domain.SysGroup;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.school.domain.req.SysGroupQueryReq;

/**
 * 小组管理Service接口
 *
 * @author ruoyi
 * @date 2024-04-23
 */
public interface SysGroupService extends IService<SysGroup> {
    /**
     * 查询小组管理列表
     *
     * @param sysGroupQueryReq 小组管理
     * @return 小组管理集合
     */
    public List<SysGroup> list(SysGroupQueryReq sysGroupQueryReq);

}
